using HBLConsole.Factory;
using HBLConsole.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace HBLConsole.ViewModel
{
    public class DebugContainerViewModel : ViewModelBase
    {
        private FrameworkElement debugContent;

        public FrameworkElement DebugContent
        {
            get { return debugContent; }
            set
            {
                debugContent = value;
                OnPropertyChanged();
            }
        }

        public DebugContainerViewModel()
        {
            var ctrl = SimpleFactory.GetInstance.GetDebugControl();
            if (null == ctrl)
            {
                DebugContent = new DebugView();
            }
            else
            {
                DebugContent = (FrameworkElement)ctrl;
            }
        }
    }
}
